VTK: vtkGenericStreamTracer Class Reference

| VTK 9.3.1

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
vtkGenericStreamTracer Class Reference

Streamline generator. More...

`#include <vtkGenericStreamTracer.h>`

Inheritance diagram for vtkGenericStreamTracer:
[legend]
Collaboration diagram for vtkGenericStreamTracer:
[legend]

## Classes
struct | IntervalInformation

## Public Types
enum | Units { TIME_UNIT , LENGTH_UNIT , CELL_LENGTH_UNIT }
enum | Solvers { RUNGE_KUTTA2 , RUNGE_KUTTA4 , RUNGE_KUTTA45 , NONE , UNKNOWN }
enum | ReasonForTermination { OUT_OF_DOMAIN = vtkInitialValueProblemSolver::OUT_OF_DOMAIN , NOT_INITIALIZED = vtkInitialValueProblemSolver::NOT_INITIALIZED , UNEXPECTED_VALUE = vtkInitialValueProblemSolver::UNEXPECTED_VALUE , OUT_OF_TIME = 4 , OUT_OF_STEPS = 5 , STAGNATION = 6 }
enum | { FORWARD , BACKWARD , BOTH }
typedef vtkPolyDataAlgorithm | Superclass
Public Types inherited from vtkPolyDataAlgorithm
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkGenericStreamTracer * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetSourceConnection (vtkAlgorithmOutput *algOutput)
| Specify the source object used to generate starting points (seeds). More...
int | FillInputPortInformation (int port, vtkInformation *info) override
| Fill the input port information objects for this algorithm. More...
void | AddInputData (vtkGenericDataSet *in)
| Add a dataset to the list inputs. More...
void | SetInterpolatorPrototype (vtkGenericInterpolatedVelocityField *ivf)
| The object used to interpolate the velocity field during integration is of the same class as this prototype. More...
virtual void | SetStartPosition (double, double, double)
| Specify the start of the streamline in the global coordinate system. More...
virtual void | SetStartPosition (double[3])
| Specify the start of the streamline in the global coordinate system. More...
virtual double * | GetStartPosition ()
| Specify the start of the streamline in the global coordinate system. More...
virtual void | GetStartPosition (double &, double &, double &)
| Specify the start of the streamline in the global coordinate system. More...
virtual void | GetStartPosition (double[3])
| Specify the start of the streamline in the global coordinate system. More...
void | SetSourceData (vtkDataSet *source)
| Specify the source object used to generate starting points. More...
vtkDataSet * | GetSource ()
| Specify the source object used to generate starting points. More...
void | SetIntegrator (vtkInitialValueProblemSolver *)
| Set/get the integrator type to be used in the stream line calculation. More...
virtual vtkInitialValueProblemSolver * | GetIntegrator ()
| Set/get the integrator type to be used in the stream line calculation. More...
void | SetIntegratorType (int type)
| Set/get the integrator type to be used in the stream line calculation. More...
int | GetIntegratorType ()
| Set/get the integrator type to be used in the stream line calculation. More...
void | SetIntegratorTypeToRungeKutta2 ()
| Set/get the integrator type to be used in the stream line calculation. More...
void | SetIntegratorTypeToRungeKutta4 ()
| Set/get the integrator type to be used in the stream line calculation. More...
void | SetIntegratorTypeToRungeKutta45 ()
| Set/get the integrator type to be used in the stream line calculation. More...
void | SetMaximumPropagation (int unit, double max)
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMaximumPropagation (double max)
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMaximumPropagationUnit (int unit)
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
int | GetMaximumPropagationUnit ()
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
double | GetMaximumPropagation ()
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMaximumPropagationUnitToTimeUnit ()
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMaximumPropagationUnitToLengthUnit ()
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMaximumPropagationUnitToCellLengthUnit ()
| Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2. More...
void | SetMinimumIntegrationStep (int unit, double step)
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMinimumIntegrationStepUnit (int unit)
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMinimumIntegrationStep (double step)
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
int | GetMinimumIntegrationStepUnit ()
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
double | GetMinimumIntegrationStep ()
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMinimumIntegrationStepUnitToTimeUnit ()
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMinimumIntegrationStepUnitToLengthUnit ()
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMinimumIntegrationStepUnitToCellLengthUnit ()
| Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStep (int unit, double step)
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStepUnit (int unit)
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStep (double step)
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
int | GetMaximumIntegrationStepUnit ()
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
double | GetMaximumIntegrationStep ()
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStepUnitToTimeUnit ()
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStepUnitToLengthUnit ()
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetMaximumIntegrationStepUnitToCellLengthUnit ()
| Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators. More...
void | SetInitialIntegrationStep (int unit, double step)
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
void | SetInitialIntegrationStepUnit (int unit)
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
void | SetInitialIntegrationStep (double step)
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
int | GetInitialIntegrationStepUnit ()
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
double | GetInitialIntegrationStep ()
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
void | SetInitialIntegrationStepUnitToTimeUnit ()
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
void | SetInitialIntegrationStepUnitToLengthUnit ()
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
void | SetInitialIntegrationStepUnitToCellLengthUnit ()
| Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used. More...
virtual void | SetMaximumError (double)
| Specify the maximum error in the integration. More...
virtual double | GetMaximumError ()
| Specify the maximum error in the integration. More...
virtual void | SetMaximumNumberOfSteps (vtkIdType)
| Specify the maximum number of steps used in the integration. More...
virtual vtkIdType | GetMaximumNumberOfSteps ()
| Specify the maximum number of steps used in the integration. More...
virtual void | SetTerminalSpeed (double)
| If at any point, the speed is below this value, the integration is terminated. More...
virtual double | GetTerminalSpeed ()
| If at any point, the speed is below this value, the integration is terminated. More...
void | SetIntegrationStepUnit (int unit)
| Simplified API to set an homogeneous unit across Min/Max/Init IntegrationStepUnit. More...
virtual void | SetIntegrationDirection (int)
| Specify whether the streamtrace will be generated in the upstream or downstream direction. More...
virtual int | GetIntegrationDirection ()
| Specify whether the streamtrace will be generated in the upstream or downstream direction. More...
void | SetIntegrationDirectionToForward ()
| Specify whether the streamtrace will be generated in the upstream or downstream direction. More...
void | SetIntegrationDirectionToBackward ()
| Specify whether the streamtrace will be generated in the upstream or downstream direction. More...
void | SetIntegrationDirectionToBoth ()
| Specify whether the streamtrace will be generated in the upstream or downstream direction. More...
virtual void | SetComputeVorticity (vtkTypeBool)
| Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter. More...
virtual vtkTypeBool | GetComputeVorticity ()
| Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter. More...
virtual void | ComputeVorticityOn ()
| Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter. More...
virtual void | ComputeVorticityOff ()
| Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter. More...
virtual void | SetRotationScale (double)
| This can be used to scale the rate with which the streamribbons twist. More...
virtual double | GetRotationScale ()
| This can be used to scale the rate with which the streamribbons twist. More...
virtual char * | GetInputVectorsSelection ()
| If you want to generate traces using an arbitrary vector array, then set its name here. More...
void | SelectInputVectors (const char *fieldName)
| If you want to generate traces using an arbitrary vector array, then set its name here. More...
Public Member Functions inherited from vtkPolyDataAlgorithm
vtkPolyDataAlgorithm * | NewInstance () const
vtkTypeBool | ProcessRequest (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| see vtkAlgorithm for details More...
vtkDataObject * | GetInput ()
vtkDataObject * | GetInput (int port)
vtkPolyData * | GetPolyDataInput (int port)
vtkPolyData * | GetOutput ()
| Get the output data object for a port on this algorithm. More...
vtkPolyData * | GetOutput (int)
| Get the output data object for a port on this algorithm. More...
virtual void | SetOutput (vtkDataObject *d)
| Get the output data object for a port on this algorithm. More...
void | SetInputData (vtkDataObject *)
| Assign a data object as input. More...
void | SetInputData (int, vtkDataObject *)
| Assign a data object as input. More...
void | AddInputData (vtkDataObject *)
| Assign a data object as input. More...
void | AddInputData (int, vtkDataObject *)
| Assign a data object as input. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkGenericStreamTracer * | SafeDownCast (vtkObjectBase *o)
static vtkGenericStreamTracer * | New ()
| Construct object to start from position (0,0,0), integrate forward, terminal speed 1.0E-12, vorticity computation on, integration step length 0.5 (unit cell length), maximum number of steps 2000, using 2nd order Runge Kutta and maximum propagation 1.0 (unit length). More...
Static Public Member Functions inherited from vtkPolyDataAlgorithm
static vtkPolyDataAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPolyDataAlgorithm * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkGenericStreamTracer ()
| ~vtkGenericStreamTracer () override
void | AddInput (vtkDataObject *)
int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| This is called by the superclass. More...
void | CalculateVorticity (vtkGenericAdaptorCell *cell, double pcoords[3], vtkGenericAttribute *attribute, double vorticity[3])
| Compute the vorticity at point ‘pcoords’ in cell ‘cell’ for the vector attribute ‘attribute’. More...
void | Integrate (vtkGenericDataSet *input0, vtkPolyData *output, vtkDataArray *seedSource, vtkIdList *seedIds, vtkIntArray *integrationDirections, double lastPoint[3], vtkGenericInterpolatedVelocityField *func)
void | SimpleIntegrate (double seed[3], double lastPoint[3], double delt, vtkGenericInterpolatedVelocityField *func)
int | CheckInputs (vtkGenericInterpolatedVelocityField *&func, vtkInformationVector **inputVector)
void | GenerateNormals (vtkPolyData *output, double *firstNormal)
virtual void | SetInputVectorsSelection (const char *)
void | SetIntervalInformation (int unit, double interval, IntervalInformation &currentValues)
void | SetIntervalInformation (int unit, IntervalInformation &currentValues)
void | ConvertIntervals (double &step, double &minStep, double &maxStep, int direction, double cellLength, double speed)
void | InitializeSeeds (vtkDataArray *&seeds, vtkIdList *&seedIds, vtkIntArray *&integrationDirections)
Protected Member Functions inherited from vtkPolyDataAlgorithm
| vtkPolyDataAlgorithm ()
| ~vtkPolyDataAlgorithm () override
virtual int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual int | RequestUpdateExtent (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called by the superclass. More...
int | FillOutputPortInformation (int port, vtkInformation *info) override
| Fill the output port information objects for this algorithm. More...
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static double | ConvertToTime (IntervalInformation &interval, double cellLength, double speed)
static double | ConvertToLength (IntervalInformation &interval, double cellLength, double speed)
static double | ConvertToCellLength (IntervalInformation &interval, double cellLength, double speed)
static double | ConvertToUnit (IntervalInformation &interval, int unit, double cellLength, double speed)
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
int | GenerateNormalsInIntegrate
char * | InputVectorsSelection
double | StartPosition [3]
double | TerminalSpeed
double | LastUsedTimeStep
IntervalInformation | MaximumPropagation
IntervalInformation | MinimumIntegrationStep
IntervalInformation | MaximumIntegrationStep
IntervalInformation | InitialIntegrationStep
int | IntegrationDirection
vtkInitialValueProblemSolver * | Integrator
double | MaximumError
vtkIdType | MaximumNumberOfSteps
vtkTypeBool | ComputeVorticity
double | RotationScale
vtkGenericInterpolatedVelocityField * | InterpolatorPrototype
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Static Protected Attributes
static const double | EPSILON
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute

## Detailed Description

Streamline generator.

vtkGenericStreamTracer is a filter that integrates a vector field to generate streamlines. The integration is performed using the provided integrator. The default is second order Runge-Kutta.

vtkGenericStreamTracer generate polylines as output. Each cell (polyline) corresponds to one streamline. The values associated with each streamline are stored in the cell data whereas the values associated with points are stored in point data.

Note that vtkGenericStreamTracer can integrate both forward and backward. The length of the streamline is controlled by specifying either a maximum value in the units of length, cell length or elapsed time (the elapsed time is the time each particle would have traveled if flow were steady). Otherwise, the integration terminates after exiting the dataset or if the particle speed is reduced to a value less than the terminal speed or when a maximum number of steps is reached. The reason for the termination is stored in a cell array named ReasonForTermination.

The quality of integration can be controlled by setting integration step (InitialIntegrationStep) and in the case of adaptive solvers the maximum error, the minimum integration step and the maximum integration step. All of these can have units of length, cell length or elapsed time.

The integration time, vorticity, rotation and angular velocity are stored in point arrays named "IntegrationTime", "Vorticity", "Rotation" and "AngularVelocity" respectively (vorticity, rotation and angular velocity are computed only when ComputeVorticity is on). All point attributes in the source data set are interpolated on the new streamline points.

vtkGenericStreamTracer integrates through any type of dataset. As a result, if the dataset contains 2D cells such as polygons or triangles, the integration is constrained to lie on the surface defined by the 2D cells.

The starting point of traces may be defined in two different ways. Starting from global x-y-z "position" allows you to start a single trace at a specified x-y-z coordinate. If you specify a source object, a trace will be generated for each point in the source that is inside the dataset.

See also
  vtkRibbonFilter vtkRuledSurfaceFilter vtkInitialValueProblemSolver vtkRungeKutta2 vtkRungeKutta4 vtkRungeKutta45

Tests:
  vtkGenericStreamTracer (Tests)

Definition at line 75 of file vtkGenericStreamTracer.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkPolyDataAlgorithm vtkGenericStreamTracer::Superclass

Definition at line 78 of file vtkGenericStreamTracer.h.

## Member Enumeration Documentation

## ◆ Units

enum vtkGenericStreamTracer::Units

Enumerator
TIME_UNIT |
LENGTH_UNIT |
CELL_LENGTH_UNIT |

Definition at line 115 of file vtkGenericStreamTracer.h.

## ◆ Solvers

enum vtkGenericStreamTracer::Solvers

Enumerator
RUNGE_KUTTA2 |
RUNGE_KUTTA4 |
RUNGE_KUTTA45 |
NONE |
UNKNOWN |

Definition at line 122 of file vtkGenericStreamTracer.h.

## ◆ ReasonForTermination

enum vtkGenericStreamTracer::ReasonForTermination

Enumerator
OUT_OF_DOMAIN |
NOT_INITIALIZED |
UNEXPECTED_VALUE |
OUT_OF_TIME |
OUT_OF_STEPS |
STAGNATION |

Definition at line 131 of file vtkGenericStreamTracer.h.

## ◆ anonymous enum

anonymous enum

Enumerator
FORWARD |
BACKWARD |
BOTH |

Definition at line 298 of file vtkGenericStreamTracer.h.

## Constructor & Destructor Documentation

## ◆ vtkGenericStreamTracer()

vtkGenericStreamTracer::vtkGenericStreamTracer | ( |  | ) |
| protected

## ◆ ~vtkGenericStreamTracer()

vtkGenericStreamTracer::~vtkGenericStreamTracer | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkGenericStreamTracer::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkGenericStreamTracer::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkPolyDataAlgorithm.

## ◆ SafeDownCast()

static vtkGenericStreamTracer* vtkGenericStreamTracer::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkGenericStreamTracer::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkPolyDataAlgorithm.

## ◆ NewInstance()

vtkGenericStreamTracer* vtkGenericStreamTracer::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkGenericStreamTracer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkPolyDataAlgorithm.

## ◆ New()

static vtkGenericStreamTracer* vtkGenericStreamTracer::New | ( |  | ) |
| static

Construct object to start from position (0,0,0), integrate forward, terminal speed 1.0E-12, vorticity computation on, integration step length 0.5 (unit cell length), maximum number of steps 2000, using 2nd order Runge Kutta and maximum propagation 1.0 (unit length).

## ◆ SetStartPosition() [1/2]

virtual void vtkGenericStreamTracer::SetStartPosition | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| virtual

Specify the start of the streamline in the global coordinate system.

Search must be performed to find initial cell to start integration from.

## ◆ SetStartPosition() [2/2]

virtual void vtkGenericStreamTracer::SetStartPosition | ( | double | [3] | ) |
| virtual

Specify the start of the streamline in the global coordinate system.

Search must be performed to find initial cell to start integration from.

## ◆ GetStartPosition() [1/3]

virtual double* vtkGenericStreamTracer::GetStartPosition | ( |  | ) |
| virtual

Specify the start of the streamline in the global coordinate system.

Search must be performed to find initial cell to start integration from.

## ◆ GetStartPosition() [2/3]

virtual void vtkGenericStreamTracer::GetStartPosition | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Specify the start of the streamline in the global coordinate system.

Search must be performed to find initial cell to start integration from.

## ◆ GetStartPosition() [3/3]

virtual void vtkGenericStreamTracer::GetStartPosition | ( | double | [3] | ) |
| virtual

Specify the start of the streamline in the global coordinate system.

Search must be performed to find initial cell to start integration from.

## ◆ SetSourceData()

void vtkGenericStreamTracer::SetSourceData | ( | vtkDataSet * | source | ) |

Specify the source object used to generate starting points.

## ◆ GetSource()

vtkDataSet* vtkGenericStreamTracer::GetSource | ( |  | ) |

Specify the source object used to generate starting points.

## ◆ SetSourceConnection()

void vtkGenericStreamTracer::SetSourceConnection | ( | vtkAlgorithmOutput * | algOutput | ) |

Specify the source object used to generate starting points (seeds).

New style.

## ◆ FillInputPortInformation()

int vtkGenericStreamTracer::FillInputPortInformation | ( | int | port,
|  | vtkInformation * | info
| ) |  |
| overridevirtual

Fill the input port information objects for this algorithm.

This is invoked by the first call to GetInputPortInformation for each port so subclasses can specify what they can handle.

Reimplemented from vtkPolyDataAlgorithm.

## ◆ SetIntegrator()

void vtkGenericStreamTracer::SetIntegrator | ( | vtkInitialValueProblemSolver * |  | ) |

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

## ◆ GetIntegrator()

virtual vtkInitialValueProblemSolver* vtkGenericStreamTracer::GetIntegrator | ( |  | ) |
| virtual

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

## ◆ SetIntegratorType()

void vtkGenericStreamTracer::SetIntegratorType | ( | int | type | ) |

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

## ◆ GetIntegratorType()

int vtkGenericStreamTracer::GetIntegratorType | ( |  | ) |

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

## ◆ SetIntegratorTypeToRungeKutta2()

void vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta2 | ( |  | ) |
| inline

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

Definition at line 157 of file vtkGenericStreamTracer.h.

## ◆ SetIntegratorTypeToRungeKutta4()

void vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta4 | ( |  | ) |
| inline

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

Definition at line 158 of file vtkGenericStreamTracer.h.

## ◆ SetIntegratorTypeToRungeKutta45()

void vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta45 | ( |  | ) |
| inline

Set/get the integrator type to be used in the stream line calculation.

The object passed is not actually used but is cloned with NewInstance in the process of integration (prototype pattern). The default is 2nd order Runge Kutta. The integrator can also be changed using SetIntegratorType. The recognized solvers are: RUNGE_KUTTA2 = 0 RUNGE_KUTTA4 = 1 RUNGE_KUTTA45 = 2

Definition at line 159 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumPropagation() [1/2]

void vtkGenericStreamTracer::SetMaximumPropagation | ( | int | unit,
|  | double | max
| ) |  |

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

## ◆ SetMaximumPropagation() [2/2]

void vtkGenericStreamTracer::SetMaximumPropagation | ( | double | max | ) |

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

## ◆ SetMaximumPropagationUnit()

void vtkGenericStreamTracer::SetMaximumPropagationUnit | ( | int | unit | ) |

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

## ◆ GetMaximumPropagationUnit()

int vtkGenericStreamTracer::GetMaximumPropagationUnit | ( |  | ) |

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

## ◆ GetMaximumPropagation()

double vtkGenericStreamTracer::GetMaximumPropagation | ( |  | ) |

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

## ◆ SetMaximumPropagationUnitToTimeUnit()

void vtkGenericStreamTracer::SetMaximumPropagationUnitToTimeUnit | ( |  | ) |
| inline

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

Definition at line 175 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumPropagationUnitToLengthUnit()

void vtkGenericStreamTracer::SetMaximumPropagationUnitToLengthUnit | ( |  | ) |
| inline

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

Definition at line 176 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumPropagationUnitToCellLengthUnit()

void vtkGenericStreamTracer::SetMaximumPropagationUnitToCellLengthUnit | ( |  | ) |
| inline

Specify the maximum length of the streamlines expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2.

Definition at line 177 of file vtkGenericStreamTracer.h.

## ◆ SetMinimumIntegrationStep() [1/2]

void vtkGenericStreamTracer::SetMinimumIntegrationStep | ( | int | unit,
|  | double | step
| ) |  |

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMinimumIntegrationStepUnit()

void vtkGenericStreamTracer::SetMinimumIntegrationStepUnit | ( | int | unit | ) |

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMinimumIntegrationStep() [2/2]

void vtkGenericStreamTracer::SetMinimumIntegrationStep | ( | double | step | ) |

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ GetMinimumIntegrationStepUnit()

int vtkGenericStreamTracer::GetMinimumIntegrationStepUnit | ( |  | ) |

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ GetMinimumIntegrationStep()

double vtkGenericStreamTracer::GetMinimumIntegrationStep | ( |  | ) |

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMinimumIntegrationStepUnitToTimeUnit()

void vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToTimeUnit | ( |  | ) |
| inline

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 197 of file vtkGenericStreamTracer.h.

## ◆ SetMinimumIntegrationStepUnitToLengthUnit()

void vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToLengthUnit | ( |  | ) |
| inline

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 198 of file vtkGenericStreamTracer.h.

## ◆ SetMinimumIntegrationStepUnitToCellLengthUnit()

void vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToCellLengthUnit | ( |  | ) |
| inline

Specify the minimum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 202 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumIntegrationStep() [1/2]

void vtkGenericStreamTracer::SetMaximumIntegrationStep | ( | int | unit,
|  | double | step
| ) |  |

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMaximumIntegrationStepUnit()

void vtkGenericStreamTracer::SetMaximumIntegrationStepUnit | ( | int | unit | ) |

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMaximumIntegrationStep() [2/2]

void vtkGenericStreamTracer::SetMaximumIntegrationStep | ( | double | step | ) |

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ GetMaximumIntegrationStepUnit()

int vtkGenericStreamTracer::GetMaximumIntegrationStepUnit | ( |  | ) |

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ GetMaximumIntegrationStep()

double vtkGenericStreamTracer::GetMaximumIntegrationStep | ( |  | ) |

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

## ◆ SetMaximumIntegrationStepUnitToTimeUnit()

void vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToTimeUnit | ( |  | ) |
| inline

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 222 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumIntegrationStepUnitToLengthUnit()

void vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToLengthUnit | ( |  | ) |
| inline

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 223 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumIntegrationStepUnitToCellLengthUnit()

void vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToCellLengthUnit | ( |  | ) |
| inline

Specify the maximum step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 Only valid when using adaptive integrators.

Definition at line 227 of file vtkGenericStreamTracer.h.

## ◆ SetInitialIntegrationStep() [1/2]

void vtkGenericStreamTracer::SetInitialIntegrationStep | ( | int | unit,
|  | double | step
| ) |  |

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

## ◆ SetInitialIntegrationStepUnit()

void vtkGenericStreamTracer::SetInitialIntegrationStepUnit | ( | int | unit | ) |

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

## ◆ SetInitialIntegrationStep() [2/2]

void vtkGenericStreamTracer::SetInitialIntegrationStep | ( | double | step | ) |

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

## ◆ GetInitialIntegrationStepUnit()

int vtkGenericStreamTracer::GetInitialIntegrationStepUnit | ( |  | ) |

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

## ◆ GetInitialIntegrationStep()

double vtkGenericStreamTracer::GetInitialIntegrationStep | ( |  | ) |

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

## ◆ SetInitialIntegrationStepUnitToTimeUnit()

void vtkGenericStreamTracer::SetInitialIntegrationStepUnitToTimeUnit | ( |  | ) |
| inline

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

Definition at line 248 of file vtkGenericStreamTracer.h.

## ◆ SetInitialIntegrationStepUnitToLengthUnit()

void vtkGenericStreamTracer::SetInitialIntegrationStepUnitToLengthUnit | ( |  | ) |
| inline

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

Definition at line 249 of file vtkGenericStreamTracer.h.

## ◆ SetInitialIntegrationStepUnitToCellLengthUnit()

void vtkGenericStreamTracer::SetInitialIntegrationStepUnitToCellLengthUnit | ( |  | ) |
| inline

Specify the initial step used in the integration expressed in one of the: TIME_UNIT = 0 LENGTH_UNIT = 1 CELL_LENGTH_UNIT = 2 If the integrator is not adaptive, this is the actual step used.

Definition at line 253 of file vtkGenericStreamTracer.h.

## ◆ SetMaximumError()

virtual void vtkGenericStreamTracer::SetMaximumError | ( | double |  | ) |
| virtual

Specify the maximum error in the integration.

This value is passed to the integrator. Therefore, it's meaning depends on the integrator used.

## ◆ GetMaximumError()

virtual double vtkGenericStreamTracer::GetMaximumError | ( |  | ) |
| virtual

Specify the maximum error in the integration.

This value is passed to the integrator. Therefore, it's meaning depends on the integrator used.

## ◆ SetMaximumNumberOfSteps()

virtual void vtkGenericStreamTracer::SetMaximumNumberOfSteps | ( | vtkIdType |  | ) |
| virtual

Specify the maximum number of steps used in the integration.

## ◆ GetMaximumNumberOfSteps()

virtual vtkIdType vtkGenericStreamTracer::GetMaximumNumberOfSteps | ( |  | ) |
| virtual

Specify the maximum number of steps used in the integration.

## ◆ SetTerminalSpeed()

virtual void vtkGenericStreamTracer::SetTerminalSpeed | ( | double |  | ) |
| virtual

If at any point, the speed is below this value, the integration is terminated.

## ◆ GetTerminalSpeed()

virtual double vtkGenericStreamTracer::GetTerminalSpeed | ( |  | ) |
| virtual

If at any point, the speed is below this value, the integration is terminated.

## ◆ SetIntegrationStepUnit()

void vtkGenericStreamTracer::SetIntegrationStepUnit | ( | int | unit | ) |
| inline

Simplified API to set an homogeneous unit across Min/Max/Init IntegrationStepUnit.

Definition at line 290 of file vtkGenericStreamTracer.h.

## ◆ SetIntegrationDirection()

virtual void vtkGenericStreamTracer::SetIntegrationDirection | ( | int |  | ) |
| virtual

Specify whether the streamtrace will be generated in the upstream or downstream direction.

## ◆ GetIntegrationDirection()

virtual int vtkGenericStreamTracer::GetIntegrationDirection | ( |  | ) |
| virtual

Specify whether the streamtrace will be generated in the upstream or downstream direction.

## ◆ SetIntegrationDirectionToForward()

void vtkGenericStreamTracer::SetIntegrationDirectionToForward | ( |  | ) |
| inline

Specify whether the streamtrace will be generated in the upstream or downstream direction.

Definition at line 312 of file vtkGenericStreamTracer.h.

## ◆ SetIntegrationDirectionToBackward()

void vtkGenericStreamTracer::SetIntegrationDirectionToBackward | ( |  | ) |
| inline

Specify whether the streamtrace will be generated in the upstream or downstream direction.

Definition at line 313 of file vtkGenericStreamTracer.h.

## ◆ SetIntegrationDirectionToBoth()

void vtkGenericStreamTracer::SetIntegrationDirectionToBoth | ( |  | ) |
| inline

Specify whether the streamtrace will be generated in the upstream or downstream direction.

Definition at line 314 of file vtkGenericStreamTracer.h.

## ◆ SetComputeVorticity()

virtual void vtkGenericStreamTracer::SetComputeVorticity | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter.

## ◆ GetComputeVorticity()

virtual vtkTypeBool vtkGenericStreamTracer::GetComputeVorticity | ( |  | ) |
| virtual

Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter.

## ◆ ComputeVorticityOn()

virtual void vtkGenericStreamTracer::ComputeVorticityOn | ( |  | ) |
| virtual

Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter.

## ◆ ComputeVorticityOff()

virtual void vtkGenericStreamTracer::ComputeVorticityOff | ( |  | ) |
| virtual

Turn on/off calculation of vorticity at streamline points (necessary for generating proper streamribbons using the vtkRibbonFilter.

## ◆ SetRotationScale()

virtual void vtkGenericStreamTracer::SetRotationScale | ( | double |  | ) |
| virtual

This can be used to scale the rate with which the streamribbons twist.

The default is 1.

## ◆ GetRotationScale()

virtual double vtkGenericStreamTracer::GetRotationScale | ( |  | ) |
| virtual

This can be used to scale the rate with which the streamribbons twist.

The default is 1.

## ◆ GetInputVectorsSelection()

virtual char* vtkGenericStreamTracer::GetInputVectorsSelection | ( |  | ) |
| virtual

If you want to generate traces using an arbitrary vector array, then set its name here.

By default this in nullptr and the filter will use the active vector array.

## ◆ SelectInputVectors()

void vtkGenericStreamTracer::SelectInputVectors | ( | const char * | fieldName | ) |
| inline

If you want to generate traces using an arbitrary vector array, then set its name here.

By default this in nullptr and the filter will use the active vector array.

Definition at line 344 of file vtkGenericStreamTracer.h.

## ◆ AddInputData()

void vtkGenericStreamTracer::AddInputData | ( | vtkGenericDataSet * | in | ) |

Add a dataset to the list inputs.

## ◆ SetInterpolatorPrototype()

void vtkGenericStreamTracer::SetInterpolatorPrototype | ( | vtkGenericInterpolatedVelocityField * | ivf | ) |

The object used to interpolate the velocity field during integration is of the same class as this prototype.

## ◆ AddInput()

void vtkGenericStreamTracer::AddInput | ( | vtkDataObject * |  | ) |
| inlineprotected

Definition at line 363 of file vtkGenericStreamTracer.h.

## ◆ RequestData()

int vtkGenericStreamTracer::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| overrideprotectedvirtual

This is called by the superclass.

This is the method you should override.

Reimplemented from vtkPolyDataAlgorithm.

## ◆ CalculateVorticity()

void vtkGenericStreamTracer::CalculateVorticity | ( | vtkGenericAdaptorCell * | cell,
|  | double | pcoords[3],
|  | vtkGenericAttribute * | attribute,
|  | double | vorticity[3]
| ) |  |
| protected

Compute the vorticity at point ‘pcoords’ in cell ‘cell’ for the vector attribute ‘attribute’.

Precondition
  attribute_exists: attribute!=0
  point_centered_attribute: attribute->GetCentering()==vtkPointCentered
  vector_attribute: attribute->GetType()==vtkDataSetAttributes::VECTORS);

## ◆ Integrate()

void vtkGenericStreamTracer::Integrate | ( | vtkGenericDataSet * | input0,
|  | vtkPolyData * | output,
|  | vtkDataArray * | seedSource,
|  | vtkIdList * | seedIds,
|  | vtkIntArray * | integrationDirections,
|  | double | lastPoint[3],
|  | vtkGenericInterpolatedVelocityField * | func
| ) |  |
| protected

## ◆ SimpleIntegrate()

void vtkGenericStreamTracer::SimpleIntegrate | ( | double | seed[3],
|  | double | lastPoint[3],
|  | double | delt,
|  | vtkGenericInterpolatedVelocityField * | func
| ) |  |
| protected

## ◆ CheckInputs()

int vtkGenericStreamTracer::CheckInputs | ( | vtkGenericInterpolatedVelocityField *& | func,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

## ◆ GenerateNormals()

void vtkGenericStreamTracer::GenerateNormals | ( | vtkPolyData * | output,
|  | double * | firstNormal
| ) |  |
| protected

## ◆ SetInputVectorsSelection()

virtual void vtkGenericStreamTracer::SetInputVectorsSelection | ( | const char * |  | ) |
| protectedvirtual

## ◆ SetIntervalInformation() [1/2]

void vtkGenericStreamTracer::SetIntervalInformation | ( | int | unit,
|  | double | interval,
|  | IntervalInformation & | currentValues
| ) |  |
| protected

## ◆ SetIntervalInformation() [2/2]

void vtkGenericStreamTracer::SetIntervalInformation | ( | int | unit,
|  | IntervalInformation & | currentValues
| ) |  |
| protected

## ◆ ConvertToTime()

static double vtkGenericStreamTracer::ConvertToTime | ( | IntervalInformation & | interval,
|  | double | cellLength,
|  | double | speed
| ) |  |
| staticprotected

## ◆ ConvertToLength()

static double vtkGenericStreamTracer::ConvertToLength | ( | IntervalInformation & | interval,
|  | double | cellLength,
|  | double | speed
| ) |  |
| staticprotected

## ◆ ConvertToCellLength()

static double vtkGenericStreamTracer::ConvertToCellLength | ( | IntervalInformation & | interval,
|  | double | cellLength,
|  | double | speed
| ) |  |
| staticprotected

## ◆ ConvertToUnit()

static double vtkGenericStreamTracer::ConvertToUnit | ( | IntervalInformation & | interval,
|  | int | unit,
|  | double | cellLength,
|  | double | speed
| ) |  |
| staticprotected

## ◆ ConvertIntervals()

void vtkGenericStreamTracer::ConvertIntervals | ( | double & | step,
|  | double & | minStep,
|  | double & | maxStep,
|  | int | direction,
|  | double | cellLength,
|  | double | speed
| ) |  |
| protected

## ◆ InitializeSeeds()

void vtkGenericStreamTracer::InitializeSeeds | ( | vtkDataArray *& | seeds,
|  | vtkIdList *& | seedIds,
|  | vtkIntArray *& | integrationDirections
| ) |  |
| protected

## Member Data Documentation

## ◆ GenerateNormalsInIntegrate

int vtkGenericStreamTracer::GenerateNormalsInIntegrate
| protected

Definition at line 388 of file vtkGenericStreamTracer.h.

## ◆ InputVectorsSelection

char* vtkGenericStreamTracer::InputVectorsSelection
| protected

Definition at line 391 of file vtkGenericStreamTracer.h.

## ◆ StartPosition

double vtkGenericStreamTracer::StartPosition[3]
| protected

Definition at line 394 of file vtkGenericStreamTracer.h.

## ◆ EPSILON

const double vtkGenericStreamTracer::EPSILON
| staticprotected

Definition at line 396 of file vtkGenericStreamTracer.h.

## ◆ TerminalSpeed

double vtkGenericStreamTracer::TerminalSpeed
| protected

Definition at line 397 of file vtkGenericStreamTracer.h.

## ◆ LastUsedTimeStep

double vtkGenericStreamTracer::LastUsedTimeStep
| protected

Definition at line 399 of file vtkGenericStreamTracer.h.

## ◆ MaximumPropagation

IntervalInformation vtkGenericStreamTracer::MaximumPropagation
| protected

Definition at line 407 of file vtkGenericStreamTracer.h.

## ◆ MinimumIntegrationStep

IntervalInformation vtkGenericStreamTracer::MinimumIntegrationStep
| protected

Definition at line 408 of file vtkGenericStreamTracer.h.

## ◆ MaximumIntegrationStep

IntervalInformation vtkGenericStreamTracer::MaximumIntegrationStep
| protected

Definition at line 409 of file vtkGenericStreamTracer.h.

## ◆ InitialIntegrationStep

IntervalInformation vtkGenericStreamTracer::InitialIntegrationStep
| protected

Definition at line 410 of file vtkGenericStreamTracer.h.

## ◆ IntegrationDirection

int vtkGenericStreamTracer::IntegrationDirection
| protected

Definition at line 425 of file vtkGenericStreamTracer.h.

## ◆ Integrator

vtkInitialValueProblemSolver* vtkGenericStreamTracer::Integrator
| protected

Definition at line 428 of file vtkGenericStreamTracer.h.

## ◆ MaximumError

double vtkGenericStreamTracer::MaximumError
| protected

Definition at line 430 of file vtkGenericStreamTracer.h.

## ◆ MaximumNumberOfSteps

vtkIdType vtkGenericStreamTracer::MaximumNumberOfSteps
| protected

Definition at line 431 of file vtkGenericStreamTracer.h.

## ◆ ComputeVorticity

vtkTypeBool vtkGenericStreamTracer::ComputeVorticity
| protected

Definition at line 433 of file vtkGenericStreamTracer.h.

## ◆ RotationScale

double vtkGenericStreamTracer::RotationScale
| protected

Definition at line 434 of file vtkGenericStreamTracer.h.

## ◆ InterpolatorPrototype

vtkGenericInterpolatedVelocityField* vtkGenericStreamTracer::InterpolatorPrototype
| protected

Definition at line 436 of file vtkGenericStreamTracer.h.

The documentation for this class was generated from the following file:

- Filters/Generic/vtkGenericStreamTracer.h